Payouts
The Payouts model will allow you to track funds you’ve received from SumUp.
You can receive a detailed payouts list with information like dates, fees, references and statuses, using the List payouts endpoint.
The Financial Payouts object
Financial Payouts
[]object
Close
Attributes
- amount number
- currency string
- date string date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
The Financial Payouts object
[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }] Payouts
List payouts
Lists ordered payouts for the merchant profile.
Required scopes:
user.profile user.profile_readonly Path Parameters
- merchant_code string requiredExample:
"MH4H92C7"
Query Parameters
Financial Payouts
[]object
Close
Attributes
- amount number
- currency string
- date string date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
GET /v1.0/merchants/{merchant_code}/payouts
curl https://api.sumup.com/v1.0/merchants/{merchant_code}/payouts \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.payouts.list("MH4H92C7", "start_date", "end_date");using SumUp;
var client = new SumUpClient();
var result = await client.Payouts.ListAsync( "MH4H92C7", "start_date", "end_date");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.payouts().listPayoutsV1( "MH4H92C7", java.time.LocalDate.parse("start_date"), java.time.LocalDate.parse("end_date"));from sumup import Sumup
client = Sumup()
result = client.payouts.list("MH4H92C7", "start_date", "end_date")$sumup = new \SumUp\SumUp();
$result = $sumup->payouts->list('MH4H92C7', 'start_date', 'end_date');client := sumup.NewClient()
result, err := client.Payouts.List(context.Background(), "MH4H92C7", "start_date", "end_date")use sumup::Client;
let client = Client::default();
let result = client.payouts().list("MH4H92C7", sumup::ListPayoutsV1Params{ start_date: Some("start_date".to_string()), end_date: Some("end_date".to_string()), format: Some("format".to_string()), limit: Some("limit".to_string()), order: Some("order".to_string()),}).await;List payouts response
[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }] Payouts
List payoutsDeprecated
Lists ordered payouts for the merchant profile.
Required scopes:
user.profile user.profile_readonly Query Parameters
Financial Payouts
[]object
Close
Attributes
- amount number
- currency string
- date string date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
GET /v0.1/me/financials/payouts
curl https://api.sumup.com/v0.1/me/financials/payouts \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.payouts.listDeprecated("start_date", "end_date");using SumUp;
var client = new SumUpClient();
var result = await client.Payouts.ListDeprecatedAsync( "start_date", "end_date");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.payouts().listPayouts( java.time.LocalDate.parse("start_date"), java.time.LocalDate.parse("end_date"));from sumup import Sumup
client = Sumup()
result = client.payouts.list_deprecated("start_date", "end_date")$sumup = new \SumUp\SumUp();
$result = $sumup->payouts->listDeprecated('start_date', 'end_date');client := sumup.NewClient()
result, err := client.Payouts.ListDeprecated(context.Background(), "start_date", "end_date")use sumup::Client;
let client = Client::default();
let result = client.payouts().list_deprecated(sumup::ListPayoutsParams{ start_date: Some("start_date".to_string()), end_date: Some("end_date".to_string()), format: Some("format".to_string()), limit: Some("limit".to_string()), order: Some("order".to_string()),}).await;List payouts response
[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }]